#!/bin/sh
#
# run this script _before_ you do a commit and fix errors before uploading
#

# check if /dev/loop1 is available - otherwise some tests will fail!
if /sbin/losetup /dev/loop1 &>/dev/null
  then	true
  else	echo "misconfiguration detected: sorry - you need /dev/loop1 for the tests" >&2
  		echo "just do the following:" >&2
		echo "	dd if=/dev/zero of=test.img bs=1M count=1 seek=100" >&2
		echo "	sudo /sbin/losetup /dev/loop1 test.img" >&2
		echo "then you can run the tests again ..." >&2
		echo >&2
		exit 1
 fi

# do the tests
for a in unittests.*.py
	do	testoob -v "$a"
 done

